View Issue Details

IDProjectCategoryView StatusLast Update
0004522SymmetricDSBugpublic2020-09-23 16:34
Reporterpmarzullo Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.12.4Fixed in Version3.12.4 
Summary0004522: DbCompare does not seem to support schema/database prefixed table names for at least the target node
DescriptionWhen using the dbcompare tool i will define the source table as app_schema.mytable and the target table as app_db.mytable. The problem with this is that the tool will add quotation marks (") around the target table like "app_db.mytable" causing the target database to believe that it is one long table name.
Tagsdbcompare

Relationships

related to 0004526 closedelong [dbcompare command] - Generate script wrongly 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 46c8b81c

2020-09-09 15:25:37

admin

Details Diff
0004522: Allow catalog.schema.tablename for target tables Affected Issues
0004522
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompare.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareReport.java Diff File

Issue History

Date Modified Username Field Change
2020-09-04 13:01 pmarzullo New Issue
2020-09-04 13:01 pmarzullo Status new => assigned
2020-09-04 13:01 pmarzullo Assigned To => pmarzullo
2020-09-04 13:01 pmarzullo Tag Attached: dbcompare
2020-09-09 09:36 elong Assigned To pmarzullo => elong
2020-09-09 09:36 elong Product Version 3.12.3 => 3.10.0
2020-09-09 15:25 elong Status assigned => resolved
2020-09-09 15:25 elong Resolution open => fixed
2020-09-09 15:25 elong Fixed in Version => 3.12.4
2020-09-09 16:00 admin Changeset attached => SymmetricDS 3.12 46c8b81c
2020-09-16 13:42 elong Relationship added related to 0004526
2020-09-23 16:34 admin Status resolved => closed